ubuntuone-control-panel-gtk crashed with ImportError in /usr/lib/pymodules/python2.7/ubuntuone-control-panel/ubuntuone/controlpanel/gtk/package_manager.py: No module named gtkwidgets

Bug #762803 reported by xxfistexx@googlemail.com on 2011-04-16
42
This bug affects 5 people
Affects Status Importance Assigned to Milestone
ubuntuone-control-panel (Ubuntu)
Medium
Natalia Bidart
Natty
Medium
Natalia Bidart
Oneiric
Medium
Natalia Bidart

Bug Description

Binary package hint: ubuntuone-control-panel

has downloaded it while updating my system a few minutes bevore and tryed to start it but it dit not start and gave me an crash note

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: ubuntuone-control-panel-gtk 0.9.6-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Sat Apr 16 16:35:59 2011
ExecutablePath: /usr/bin/ubuntuone-control-panel-gtk
InstallationMedia: Kubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110413.1)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/ubuntuone-control-panel-gtk
ProcEnviron:
 LANGUAGE=
 LANG=en_US.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/ubuntuone-control-panel-gtk']
SourcePackage: ubuntuone-control-panel
Title: ubuntuone-control-panel-gtk crashed with ImportError in /usr/lib/pymodules/python2.7/ubuntuone-control-panel/ubuntuone/controlpanel/gtk/package_manager.py: No module named gtkwidgets
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

This crash has the same stack trace characteristics as bug #747724. However, the latter was already fixed in an earlier package version than the one in this report. This might be a regression or because the problem is in a dependent package.

tags: removed: need-duplicate-check
tags: added: regression-retracer
Natalia Bidart (nataliabidart) wrote :

We need to add python-aptdaemon-gtk as dependency for the ubuntuone-control-panel-gtk binary package.

Changed in ubuntuone-control-panel (Ubuntu):
assignee: nobody → Natalia Bidart (nataliabidart)
status: New → In Progress
Changed in ubuntuone-control-panel (Ubuntu):
importance: Undecided → Medium
Daniel Holbach (dholbach) wrote :

This is a straight-forward fix. I'll upload it to oneiric. If it also needs to go to natty, please follow https://wiki.ubuntu.com/SRU (prepare patch for natty-proposed, nominate for natty series). Fixing oneiric is the first step.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-control-panel - 1.0.0-0ubuntu2

---------------
ubuntuone-control-panel (1.0.0-0ubuntu2) oneiric; urgency=low

  * debian/control: ubuntuone-control-panel-gtk depends on python-aptdaemon-gtk
    (LP: #762803).
 -- Natalia Bidart (nessita) <email address hidden> Wed, 11 May 2011 12:42:49 +0200

Changed in ubuntuone-control-panel (Ubuntu):
status: In Progress → Fix Released
visibility: private → public
Stéphane Graber (stgraber) wrote :

Uploaded to natty-proposed. Should be reviewed by a SRU team member shortly.

Just a note on the proposed branch, as it's a SRU the version number has to be <last version in natty>.1 and it needs to be targeted at natty-proposed. I did these two changes and uploaded.

Changed in ubuntuone-control-panel (Ubuntu Natty):
status: New → Fix Committed
Changed in ubuntuone-control-panel (Ubuntu Natty):
importance: Undecided → Medium
assignee: nobody → Natalia Bidart (nataliabidart)

Accepted ubuntuone-control-panel into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Natalia Bidart (nataliabidart) wrote :

Tested it locally enabling natty-proposed.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-control-panel - 1.0.0-0ubuntu1.1

---------------
ubuntuone-control-panel (1.0.0-0ubuntu1.1) natty-proposed; urgency=low

  * debian/control: ubuntuone-control-panel-gtk depends on python-aptdaemon-gtk
    (LP: #762803).
 -- Natalia Bidart (nessita) <email address hidden> Fri, 20 May 2011 17:00:55 -0300

Changed in ubuntuone-control-panel (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers